APT-BUILD(1)

NAME
apt-build - Fetch sources and build packages optimized for your architecture.

SYNOPSIS
apt-build [ options ] [ update ] [ upgrade ] [ world ] [ install pkg ] [ remove pkg ] [ info pkg ]

DESCRIPTION

apt-build is an apt-get frontend to build and install architecture optimized packages.

COMMANDS

update
    Retrieve new lists of packages

upgrade
    Perform an upgrade

world
    Rebuild your system

install
    Build and install new packages

source
    Download and extract source in the build directory

info
    Info on a package which could be built

remove
    Remove packages

clean-build
    Erase built packages

clean-sources
    Call debian/rules clean in source directories

build-source
    Build source without installing them

update-source
    Update sources and rebuild them if they are missing in the repository

build-repository
    Rebuild the repository

OPTIONS

--help
    Shows help

--nowrapper
    Do not use the gcc wrapper

--remove-builddep
    Remove build-dependencies installed by apt-build

--no-source
    Don't download source

--build-dir
    Specify build-dir

--build-only
    Build package only

--rebuild
    Rebuild a package

--reinstall
    Build and install an already installed package

--build-command <command>
    Use this command to build package

--patch <file>
    Apply this patch before build (you can use this option one or several times)

--patch-strip, -p <number>
    Prefix to strip on patch (0 = -p0, 1 = -p1 ...)

--yes, -y
    Assume yes

--purge
    Use purge instead of remove

--noupdate
    Do not run 'apt-get update' before package installation

--sources-list
    Specify sources.list file

--apt-get
    Specify an alternative apt-get command

--apt-cache
    Specify an alternative apt-cache command

--force-yes
    Force yes

--source
    Do not download source (sources are extracted already)

--repository-dir
    Specify the repository directory

--target-release
    Distribution to fetch packages from

--config
    Specify an alternative configuration file

--version, -v
    Show version

BUGS
Many.

AUTHOR

apt-build was written by Julien Danjou <acid@debian.org> with many contributors.